Upgrade to NAS 1.2.5

It is mandatory to upgrade to StorNext NAS 1.2.5 before upgrading to StorNext NAS 1.3.0.

Prerequisites

  • You must be on StorNext 5.3.1 or later and StorNext NAS 1.2.0 or later to upgrade to StorNext NAS 1.2.5.
  • Unless you are already running versions 1.2.3 or 1.2.4 of StorNext NAS, you need to run the NAS Repo upgrade. See Run the NAS Repo Upgrade.
  • You need to perform all upgrades on each node.
  • Keep in mind that you will perform all configuration tasks from the Appliance Controller Console. You need either to be logged in as the sysadmin user or issue the su -sysadmin command to complete the upgrade. To log in to the controller console, see Access the Appliance Controller Console.

Additional Considerations

Before upgrading to 1.2.5, review the following considerations.

How Do I Upgrade to NAS 1.2.5?

The following steps walk you through the upgrade process.

  1. Determine Your Version
    • NAS 1.2.2 or Earlier

      To upgradeStorNext NAS from versions 1.2.2 or lower, you must manually update your software on each node using the NAS Repo Upgrade RPM. This RPM allows access to future upgrades, either offline from a local directory or over the Internet from Quantum's remote upgrade repository. See Run the NAS Repo Upgrade.

    • NAS 1.2.3 or NAS 1.2.4

      If you are currently running NAS 1.2.3 or NAS 1.2.4, you have already updated your software on each node using the NAS Repo Upgrade RPM. You can now upgrade each node.

    Proceed to 2. Select Your Upgrade Type: Local or Remote.

  1. Select Your Upgrade Type: Local or Remote
    • Local Upgrade

      To perform local upgrades, you need to download the upgrade package, extract the RPM files, and transfer the files to the /var/upgrade directory on the host server.

      Proceed to 3. Upgrade Your Environment.

    • Remote Upgrade

      To perform remote upgrades, the host server needs to be able to communicate with Quantum's remote upgrade repository over the Internet. Proceed to 3. Upgrade Your Environment.

  1. Upgrade Your Environment

    Upgrade each node to 1.2.5. See Task: Upgrade to StorNext NAS 1.2.5